profiler_map_to_unordered_map.h File Reference

Go to the source code of this file.

## Classes

class | __gnu_profile::__map2umap_info
class | __gnu_profile::__map2umap_stack_info
class | __gnu_profile::__trace_map2umap

## Namespaces

| __gnu_profile

## Functions

int | __gnu_profile::__log2 (std::size_t __size)
float | __gnu_profile::__map_erase_cost (std::size_t __size)
float | __gnu_profile::__map_find_cost (std::size_t __size)
float | __gnu_profile::__map_insert_cost (std::size_t __size)
__map2umap_info * | __gnu_profile::__trace_map_to_unordered_map_construct ()
void | __gnu_profile::__trace_map_to_unordered_map_destruct (__map2umap_info *)
void | __gnu_profile::__trace_map_to_unordered_map_erase (__map2umap_info *, std::size_t, std::size_t)
void | __gnu_profile::__trace_map_to_unordered_map_find (__map2umap_info *, std::size_t)
void | __gnu_profile::__trace_map_to_unordered_map_free ()
void | __gnu_profile::__trace_map_to_unordered_map_init ()
void | __gnu_profile::__trace_map_to_unordered_map_insert (__map2umap_info *, std::size_t, std::size_t)
void | __gnu_profile::__trace_map_to_unordered_map_invalidate (__map2umap_info *)
void | __gnu_profile::__trace_map_to_unordered_map_iterate (__map2umap_info *__info, int)
void | __gnu_profile::__trace_map_to_unordered_map_report (FILE *__f, __warning_vector_t &__warnings)

## Detailed Description

Diagnostics for map to unordered_map.

Definition in file profiler_map_to_unordered_map.h.